{
  "accUserMode" : 2,
  "caption" : "视图消息报表视图",
  "codeName" : "TESTUsr04103224ReportView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr04103224ReportView.json",
  "name" : "TESTUsr04103224ReportView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup2"
  },
  "getPSControls" : [ {
    "codeName" : "Usr04107092_SearchForm",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHFORMS/Usr04107092_SearchForm.json",
    "logicName" : "视图消息报表视图_搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "98512BCA-014E-4AE5-885A-1F20C970A00F",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Usr04103224ReportView_Report",
    "controlType" : "REPORTPANEL",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSREPORTPANELS/Usr04103224ReportView_Report.json",
    "getPSAppDEReport" : {
      "codeName" : "Usr04103224ReportView_Report",
      "name" : "Report",
      "reportType" : "JR"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "REPORTPANEL"
    },
    "name" : "reportpanel"
  }, {
    "caption" : "视图消息报表视图",
    "codeName" : "Usr04103224ReportViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr04103224ReportView",
  "getPSDEViewId" : "CD2DC014-7576-4A8C-8FA2-8BD360494DA6",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEREPORTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "视图消息报表视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEREPORTVIEW",
  "enableDP" : true,
  "enableQuickGroup" : false,
  "enableQuickSearch" : false,
  "enableSearch" : true,
  "expandSearchForm" : true,
  "loadDefault" : true,
  "modelid" : "bc070e32b7224dfffb6a67ce260b6890",
  "modeltype" : "PSAPPDEVIEW"
}